org.springframework.batch.core.jsr.launch.support

## Class BatchPropertyBeanPostProcessor

- java.lang.Object
- - org.springframework.batch.core.jsr.launch.support.BatchPropertyBeanPostProcessor

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.config.BeanPostProcessor

      public class BatchPropertyBeanPostProcessor
      extends java.lang.Object
      implements org.springframework.beans.factory.config.BeanPostProcessor, org.springframework.beans.factory.BeanFactoryAware

  `BeanPostProcessor` implementation used to inject JSR-352 String properties into batch artifact fields that are marked with the `BatchProperty` annotation.

  Since:
    3.0
  Author:
    Chris Schaefer, Michael Minella

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchPropertyBeanPostProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `postProcessAfterInitialization(java.lang.Object artifact, java.lang.String artifactName)`
    `java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object artifact, java.lang.String artifactName)`
    `void` | `setBatchPropertyContext(BatchPropertyContext batchPropertyContext)`
    `void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchPropertyBeanPostProcessor

          public BatchPropertyBeanPostProcessor()

  - ### Method Detail

    - #### postProcessBeforeInitialization

          public java.lang.Object postProcessBeforeInitialization(java.lang.Object artifact,
                                                                  java.lang.String artifactName)
                                                           throws org.springframework.beans.BeansException

      Specified by:
        `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
      Throws:
        `org.springframework.beans.BeansException`

    - #### postProcessAfterInitialization

          public java.lang.Object postProcessAfterInitialization(java.lang.Object artifact,
                                                                 java.lang.String artifactName)
                                                          throws org.springframework.beans.BeansException

      Specified by:
        `postProcessAfterInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
      Throws:
        `org.springframework.beans.BeansException`

    - #### setBeanFactory

          public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)
                              throws org.springframework.beans.BeansException

      Specified by:
        `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`
      Throws:
        `org.springframework.beans.BeansException`

    - #### setBatchPropertyContext

          @Autowired
          public void setBatchPropertyContext(BatchPropertyContext batchPropertyContext)